PDA

View Full Version : Are PBOs always available on Macs running >= 10.5?



Duncan Champney
12-14-2009, 10:07 AM
From what I gather, the driver support in 10.4 varies quite a bit.

I am doing the initial research on a project to create animated kaleidoscopes.

I will start with a fixed still image, take triangular pieces of that image, and flip/rotate them to assemble a frame of my kaleidoscope.

I would really like to use Pixel Buffer Objects (PBOs) to do it. That way I can load a source image into a PBO and copy flipped/rotated triangular slices of the source image into the color buffer to assemble my kaleidoscope, without having to move data back and forth between main memory and video memory.

I am willing to require OS >=10.5, but would prefer not to require 10.6 if I don't have to.

Is there a way to figure out a minimum set of OpenGL features that are available across all machines that run a given version of the Mac OS? I know that Apple has ever-increasing video hardware requirements for each new version of their OS, but don't know the specifics, and don't even know where to look.

I really, really don't want to do a feature check for PBOs at runtime and create two different code branches. I'd rather write it without PBOs, or have the app gracefully fail to run on machines that don't support PBOs. This is a side project, and writing it two different ways is more than I'm prepared to tackle.


Regards,

arekkusu
12-14-2009, 11:18 AM
You can see all of the supported features and limits across all Mac OS X renderers in this capability matrix (http://homepage.mac.com/arekkusu/bugs/GLInfo.html), going back several OS versions.

In general with OpenGL, you'll need to write several rendering paths if you want high performance and/or high quality across a range of renderers. There's a large difference in capabilities across 10 years of GPUs.